package com.example.leaktest;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.content.ServiceConnection;
import android.os.IBinder;
import android.os.RemoteException;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Toast;
import androidx.appcompat.app.AppCompatActivity;
import android.os.Bundle;

public class MainActivity extends AppCompatActivity {

  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.activity_main);
    findViewById(R.id.button).setOnClickListener(new OnClickListener() {
      @Override
      public void onClick(View view) {
        bindService(new Intent(MainActivity.this, MainService.class), new ServiceConnection() {
          @Override
          public void onServiceConnected(ComponentName componentName, IBinder iBinder) {
            try {
              Toast.makeText(MainActivity.this, "Got string from service: " +
                  IMainService.Stub.asInterface(iBinder).getString(), Toast.LENGTH_LONG).show();
            } catch (RemoteException e) {
              Toast.makeText(MainActivity.this, "Error running service", Toast.LENGTH_LONG).show();
            }
            unbindService(this);
          }

          @Override
          public void onServiceDisconnected(ComponentName componentName) {

          }
        }, Context.BIND_AUTO_CREATE);
      }
    });
  }
}