package com.example.leaktest;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import leakcanary.AppWatcher;

public class MainService extends Service {

  private final IMainService.Stub binder = new IMainService.Stub() {
    @Override
    public String getString() {
      return "String from service";
    }
  };

  @Override
  public IBinder onBind(Intent intent) {
    return binder;
  }

  @Override
  public void onDestroy() {
    super.onDestroy();
    AppWatcher.INSTANCE.getObjectWatcher()
        .watch(this, "MainService received Service#onDestroy callback");
  }
}
